NX Open C++ Reference Guide
|
Represents a TeachmodeLinearMove
To create a new instance of this class, use CAM::OperationCollection::CreateTeachmodeTurningBuilder
Created in NX7.5.0.
More...
Public Types | |
enum | CurveToolPositionTypes { CurveToolPositionTypesTo, CurveToolPositionTypesOn, CurveToolPositionTypesPast } |
the types for positioning to curves More... | |
enum | EndPositionTypes { EndPositionTypesPoint, EndPositionTypesCurves } |
the end position definition types More... | |
enum | InitialRetractTypes { InitialRetractTypesNone, InitialRetractTypesLinearAuto, InitialRetractTypesLinear } |
the initial retract choices More... | |
enum | MoveTypes { MoveTypesDirect, MoveTypesRadial, MoveTypesAxial, MoveTypesRadialAxial, MoveTypesAxialRadial } |
the movement types More... | |
![]() | |
enum | Feed { FeedMotion, FeedCustom } |
the feed Type More... | |
enum | Motion { MotionRapid = 1, MotionEngage, MotionCut, MotionStepover, MotionRetract, MotionApproach, MotionTraversal, MotionDeparture, MotionReturn, MotionFirstCut } |
the motion Type More... | |
Public Member Functions | |
NXOpen::CAM::TeachmodeLinearMoveBuilder::EndPositionTypes | EndPositionType () |
Returns the Type of End Position Definition Created in NX7.5.0. | |
NXOpen::NXObject * | FirstCurve () |
Returns the First Curve Created in NX7.5.0. | |
double | FirstCurveStock () |
Returns the Stock on first Curve Created in NX7.5.0. | |
NXOpen::CAM::TeachmodeLinearMoveBuilder::CurveToolPositionTypes | FirstCurveToolPosition () |
Returns the Tool Position to first Curve Created in NX7.5.0. | |
double | InitialRetractAngle () |
Returns the initial retract angle Created in NX7.5.0. | |
double | InitialRetractDistance () |
Returns the initial retract distance Created in NX7.5.0. | |
NXOpen::CAM::TeachmodeLinearMoveBuilder::InitialRetractTypes | InitialRetractType () |
Returns the Initial Retract Type Created in NX7.5.0. | |
NXOpen::CAM::TeachmodeLinearMoveBuilder::MoveTypes | MoveType () |
Returns the Movement Type Created in NX7.5.0. | |
NXOpen::Point * | Point () |
Returns the Point Created in NX7.5.0. | |
NXOpen::NXObject * | SecondCurve () |
Returns the Second Curve Created in NX7.5.0. | |
double | SecondCurveStock () |
Returns the Stock on second Curve Created in NX7.5.0. | |
NXOpen::CAM::TeachmodeLinearMoveBuilder::CurveToolPositionTypes | SecondCurveToolPosition () |
Returns the Tool Position to second Curve Created in NX7.5.0. | |
void | SetEndPositionType (NXOpen::CAM::TeachmodeLinearMoveBuilder::EndPositionTypes newValue) |
Sets the Type of End Position Definition Created in NX7.5.0. | |
void | SetFirstCurve (NXOpen::NXObject *newValue) |
Sets the First Curve Created in NX7.5.0. | |
void | SetFirstCurveStock (double newValue) |
Sets the Stock on first Curve Created in NX7.5.0. | |
void | SetFirstCurveToolPosition (NXOpen::CAM::TeachmodeLinearMoveBuilder::CurveToolPositionTypes newValue) |
Sets the Tool Position to first Curve Created in NX7.5.0. | |
void | SetInitialRetractAngle (double newValue) |
Sets the initial retract angle Created in NX7.5.0. | |
void | SetInitialRetractDistance (double newValue) |
Sets the initial retract distance Created in NX7.5.0. | |
void | SetInitialRetractType (NXOpen::CAM::TeachmodeLinearMoveBuilder::InitialRetractTypes newValue) |
Sets the Initial Retract Type Created in NX7.5.0. | |
void | SetMoveType (NXOpen::CAM::TeachmodeLinearMoveBuilder::MoveTypes newValue) |
Sets the Movement Type Created in NX7.5.0. | |
void | SetPoint (NXOpen::Point *newValue) |
Sets the Point Created in NX7.5.0. | |
void | SetSecondCurve (NXOpen::NXObject *newValue) |
Sets the Second Curve Created in NX7.5.0. | |
void | SetSecondCurveStock (double newValue) |
Sets the Stock on second Curve Created in NX7.5.0. | |
void | SetSecondCurveToolPosition (NXOpen::CAM::TeachmodeLinearMoveBuilder::CurveToolPositionTypes newValue) |
Sets the Tool Position to second Curve Created in NX7.5.0. | |
![]() | |
double | FeedRate () |
Returns the feed rate Created in NX5.0.0. | |
NXOpen::CAM::MoveBuilder::Feed | FeedType () |
Returns the feed type Created in NX5.0.0. | |
NXOpen::CAM::FeedRateUnit | FeedUnit () |
Returns the feed unit Created in NX7.5.0. | |
NXOpen::CAM::UdeParameter * | GetUserParameter (const NXString ¶meterName) |
Returns the custom parameter with the given name. | |
NXOpen::CAM::UdeParameter * | GetUserParameter (const char *parameterName) |
Returns the custom parameter with the given name. | |
NXOpen::CAM::UdeParameter * | GetUserParameter (int index) |
Returns the parameter at the input index. | |
NXOpen::CAM::MoveBuilder::Motion | MotionType () |
Returns the motion type Created in NX5.0.0. | |
int | NumberOfUserParameters () |
Returns the number of user parameters Created in NX8.0.0. | |
bool | ProtectedMove () |
Returns the protected move status Created in NX5.0.0. | |
void | SetFeedRate (double feedRate) |
Sets the feed rate Created in NX5.0.0. | |
void | SetFeedType (NXOpen::CAM::MoveBuilder::Feed feedType) |
Sets the feed type Created in NX5.0.0. | |
void | SetFeedUnit (NXOpen::CAM::FeedRateUnit unit) |
Sets the feed unit Created in NX7.5.0. | |
void | SetMotionType (NXOpen::CAM::MoveBuilder::Motion motionType) |
Sets the motion type Created in NX5.0.0. | |
void | SetParent (NXOpen::CAM::CAMObject *parent) |
Set parent Created in NX5.0.0. | |
void | SetProtectedMove (bool protectedMove) |
Sets the protected move status Created in NX5.0.0. | |
void | SetSibling (NXOpen::CAM::CAMObject *sibling) |
Set sibling Created in NX5.0.0. | |
void | SetSubopLabel (const NXString &subopLabel) |
Sets the subop label Created in NX8.5.1. | |
void | SetSubopLabel (const char *subopLabel) |
Sets the subop label Created in NX8.5.1. | |
NXString | SubopLabel () |
Returns the subop label Created in NX8.5.1. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a TeachmodeLinearMove
To create a new instance of this class, use CAM::OperationCollection::CreateTeachmodeTurningBuilder
Created in NX7.5.0.
NXOpen::CAM::TeachmodeLinearMoveBuilder::EndPositionTypes NXOpen::CAM::TeachmodeLinearMoveBuilder::EndPositionType | ( | ) |
Returns the Type of End Position Definition
Created in NX7.5.0.
License requirements : None
NXOpen::NXObject* NXOpen::CAM::TeachmodeLinearMoveBuilder::FirstCurve | ( | ) |
Returns the First Curve
Created in NX7.5.0.
License requirements : None
double NXOpen::CAM::TeachmodeLinearMoveBuilder::FirstCurveStock | ( | ) |
Returns the Stock on first Curve
Created in NX7.5.0.
License requirements : None
NXOpen::CAM::TeachmodeLinearMoveBuilder::CurveToolPositionTypes NXOpen::CAM::TeachmodeLinearMoveBuilder::FirstCurveToolPosition | ( | ) |
double NXOpen::CAM::TeachmodeLinearMoveBuilder::InitialRetractAngle | ( | ) |
Returns the initial retract angle
Created in NX7.5.0.
License requirements : None
double NXOpen::CAM::TeachmodeLinearMoveBuilder::InitialRetractDistance | ( | ) |
Returns the initial retract distance
Created in NX7.5.0.
License requirements : None
NXOpen::CAM::TeachmodeLinearMoveBuilder::InitialRetractTypes NXOpen::CAM::TeachmodeLinearMoveBuilder::InitialRetractType | ( | ) |
Returns the Initial Retract Type
Created in NX7.5.0.
License requirements : None
NXOpen::CAM::TeachmodeLinearMoveBuilder::MoveTypes NXOpen::CAM::TeachmodeLinearMoveBuilder::MoveType | ( | ) |
Returns the Movement Type
Created in NX7.5.0.
License requirements : None
NXOpen::Point* NXOpen::CAM::TeachmodeLinearMoveBuilder::Point | ( | ) |
Returns the Point
Created in NX7.5.0.
License requirements : None
NXOpen::NXObject* NXOpen::CAM::TeachmodeLinearMoveBuilder::SecondCurve | ( | ) |
Returns the Second Curve
Created in NX7.5.0.
License requirements : None
double NXOpen::CAM::TeachmodeLinearMoveBuilder::SecondCurveStock | ( | ) |
Returns the Stock on second Curve
Created in NX7.5.0.
License requirements : None
NXOpen::CAM::TeachmodeLinearMoveBuilder::CurveToolPositionTypes NXOpen::CAM::TeachmodeLinearMoveBuilder::SecondCurveToolPosition | ( | ) |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetEndPositionType | ( | NXOpen::CAM::TeachmodeLinearMoveBuilder::EndPositionTypes | newValue | ) |
Sets the Type of End Position Definition
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
newValue | the end position type |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetFirstCurve | ( | NXOpen::NXObject * | newValue | ) |
Sets the First Curve
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
newValue | the first curve |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetFirstCurveStock | ( | double | newValue | ) |
Sets the Stock on first Curve
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
newValue | the stock on first curve |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetFirstCurveToolPosition | ( | NXOpen::CAM::TeachmodeLinearMoveBuilder::CurveToolPositionTypes | newValue | ) |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetInitialRetractAngle | ( | double | newValue | ) |
Sets the initial retract angle
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
newValue | the initial retract angle |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetInitialRetractDistance | ( | double | newValue | ) |
Sets the initial retract distance
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
newValue | the initial retract distance |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetInitialRetractType | ( | NXOpen::CAM::TeachmodeLinearMoveBuilder::InitialRetractTypes | newValue | ) |
Sets the Initial Retract Type
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
newValue | the initial retract type |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetMoveType | ( | NXOpen::CAM::TeachmodeLinearMoveBuilder::MoveTypes | newValue | ) |
Sets the Movement Type
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
newValue | the move type |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetPoint | ( | NXOpen::Point * | newValue | ) |
Sets the Point
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
newValue | the point |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetSecondCurve | ( | NXOpen::NXObject * | newValue | ) |
Sets the Second Curve
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
newValue | the second curve |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetSecondCurveStock | ( | double | newValue | ) |
Sets the Stock on second Curve
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
newValue | the stock on second curve |
void NXOpen::CAM::TeachmodeLinearMoveBuilder::SetSecondCurveToolPosition | ( | NXOpen::CAM::TeachmodeLinearMoveBuilder::CurveToolPositionTypes | newValue | ) |